// 公共api 方法

import {httpGet,httpPost} from "@/utils/request.js"

/**
 * 获取手机验证码
 * @param mobile 手机号
 * @param area_num 手机号区号
 */
export const apiGetSMSCode=params=>{
    return httpGet('/user/get_sms_code',params)
}

/**
 * 获取邮箱验证码
 * @param email 邮箱
 */
export const apiGetEmailCode=params=>{
    return httpGet('/user/get_email_code',params)
}

/**
 * 获取所有可以申请的品种权限列表
 */
export const apiGetPermissionList=params=>{
    return httpGet('/public/get_apply_variety_list')
}

// 获取手机号
export const apiGetWechatPhone=params=>{
    return httpPost('/wechat/getEncryptInfo',params)
}

/**
 * 获取海报
 * @param code_page 分享海报小程序页面地址
 * @param code_scene 小程序页面参数
 * @param source 来源 activity_detail(活动详情) activity_list(活动列表)
 *                    special_column_list(专栏列表) special_column_detail(专栏详情)
 *                    report_list(报告列表) report_detail(报告详情)
 *                    chart_list(图库列表) chart_detail(图库详情)
 * 					  sandbox_list(沙盘列表) sandbox_detail(沙盘详情)
 * @param version 
 * @param pars 生成海报需要的页面参数
 */
export const apiGetPoster=params=>{
    return httpPost('/public/get_share_poster',{version:'3.0',...params})
}

/**
 * 获取通过海报二维码扫码进入的页面所需要的参数
 * @param scene_key
 */
export const apiGetSceneToParams=params=>{
    return httpGet('/public/get_suncode_scene',params)
}

/**
 * 获取标签树
 */
export const apiGetTagTree = params=>{
    return httpGet('/public/get_variety_tag_tree',params)
}

/**
 * 获取用户已绑定权限
 */
export const apiUserBindPermission=()=>{
    return httpGet('/company/permission/bind',{})
}

/**
 * 更新媒体播放记录时长
 * @param id 日志ID
 * @param stop_seconds 访问时长
 * @param source 来源：1-问答社区; 2-语音播报; 3-视频社区; 4-路演视频
 */
export const apiViewLogUpdate=params=>{
    return httpPost('/public/view_log/update',params)
}